For the complete documentation index, see llms.txt. This page is also available as Markdown.

Preferred Authors

List preferred authors

By default, you can only list preferred authors which have been whitelisted or blacklisted. Preferred authors who completed a document of yours but you didn't rate can be found within the uncategorized list.

OAuth: This endpoint requires one of the following scopes: preferred_author:manage, preferred_author:read or preferred_author:write.

Get My Authors

get
Required scopes
This endpoint requires the following scopes:
  • : Allow read & write access to My Authors
  • : Allow read access to My Authors
  • : Allow write access to My Authors
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Query parameters
statusstring · enumOptional

The category of authors to list (lists all by default).

Prossible values:

  • preferred
  • blacklisted
  • uncategorized
  • my_textmaster (legacy, prefer 'preferred')
Possible values:
pageintegerOptional

Search results are limited to 100 items. Specify page number to read more than the first page.

per_pageintegerOptional

Number of items per page. Default is 100. Maximum is 100.

Responses
200

Lists My Authors

application/json
total_pagesintegerOptional
countintegerOptional
pageintegerOptional
per_pageintegerOptional
previous_pageinteger · nullableOptional
next_pageinteger · nullableOptional
get/v1/clients/my_authors

Code samples

Add a preferred author

OAuth: This endpoint requires one of the following scopes: preferred_author:manage or referred_author:write.

Add a My Author

post
Required scopes
This endpoint requires the following scopes:
  • : Allow read & write access to My Authors
  • : Allow write access to My Authors
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Body
Responses
200

My Author Created

application/json
idstringOptional
author_idstringOptional
author_namestringOptional
author_refstringOptional
descriptionstring · nullableOptional
latest_activitystringOptional
statusstringOptional
tagsstring[]Optional
post/v1/clients/my_authors

Code samples

Get a preferred author

OAuth: This endpoint requires one of the following scopes: preferred_author:manage, preferred_author:read or referred_author:write.

Retrieve a single My Author

get
Required scopes
This endpoint requires the following scopes:
  • : Allow read & write access to My Authors
  • : Allow read access to My Authors
  • : Allow write access to My Authors
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
author_idstringRequired

(required) ID of the Author

Responses
200

Gets My Author Info

application/json
idstringOptional
author_idstringOptional
author_namestringOptional
author_refstringOptional
descriptionstring · nullableOptional
latest_activitystringOptional
statusstringOptional
tagsstring[]Optional
get/v1/clients/my_authors/{author_id}

Code samples

Update a preferred author

OAuth: This endpoint requires one of the following scopes: preferred_author:manage or referred_author:write.

Update My Author

put
Required scopes
This endpoint requires the following scopes:
  • : Allow read & write access to My Authors
  • : Allow write access to My Authors
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
author_idstringRequired

(required) ID of the Author

Body
Responses
200

My Author Updated

application/json
idstringOptional
author_idstringOptional
author_namestringOptional
author_refstringOptional
descriptionstring · nullableOptional
latest_activitystringOptional
statusstringOptional
tagsstring[]Optional
put/v1/clients/my_authors/{author_id}

Code samples

List preferred authors able to work on project

OAuth: This endpoint requires one of the following scopes: preferred_author:manage, preferred_author:read or referred_author:write.

Get all My Authors who can do a given Project

get
Required scopes
This endpoint requires the following scopes:
  • : Allow read & write access to My Authors
  • : Allow read access to My Authors
  • : Allow write access to My Authors
Authorizations
OAuth2authorizationCodeRequired

OAuth2 Bearer token authentication

Authorization URL: Token URL: Refresh URL:
Path parameters
project_idstringRequired

The Project ID.

Query parameters
statusstring · enumOptional

The category of authors to list (lists all by default).

Prossible values:

  • preferred
  • blacklisted
  • uncategorized
  • my_textmaster (legacy, prefer 'preferred')
Possible values:
pageintegerOptional

Search results are limited to 100 items. Specify page number to read more than the first page.

Responses
200

Lists possible My Authors

application/json
total_pagesintegerOptional
countintegerOptional
pageintegerOptional
per_pageintegerOptional
previous_pageinteger · nullableOptional
next_pageinteger · nullableOptional
get/v1/clients/projects/{project_id}/my_authors

Code samples

Last updated

Was this helpful?